package com.tencent.mm.plugin.game.luggage;

import com.tencent.luggage.d.k;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.game.report.api.GameWebPerformanceInfo;
import com.tencent.mm.plugin.webview.luggage.permission.LuggageGetA8Key;
import com.tencent.mm.plugin.webview.luggage.permission.b;
import com.tencent.mm.sdk.platformtools.ab;

public final class c {
    public static void a(k kVar, String str, boolean z) {
        AppMethodBeat.i(135828);
        GameWebPerformanceInfo kU = GameWebPerformanceInfo.kU(str);
        ab.i("MicroMsg.LuggageGetA8KeyUtil", "getA8Key begin, time: %d", new Object[]{Long.valueOf(System.currentTimeMillis())});
        kU.eCh = System.currentTimeMillis();
        LuggageGetA8Key luggageGetA8Key = new LuggageGetA8Key();
        luggageGetA8Key.a(str, new 1(kU, kVar));
        if (z) {
            b.a(kVar.hashCode(), luggageGetA8Key);
        }
        AppMethodBeat.o(135828);
    }
}
